artdaq - Feature #22531
Idea # 22529 (New): Support the (proto)DUNE DFO Model in artdaq

Add destination parameter to DSM::sendFragment
05/07/2019 09:17 PM - Eric Flumerfelt

Status: Assigned Start date: 05/07/2019
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
Description

DataSenderManager should accept an int destination parameter to sendFragment, which would be used instead of other routing
methods (either routing tables or internal RoundRobin) unless set to -1. It should print an error message and discard Fragments if the
destination given does not exist in its destination list.

History

#1 - 05/30/2019 12:20 PM - Eric Flumerfelt

- Status changed from New to Resolved

Implementation on artdaq:feature/22531_DataSenderManager_RankParameterToSendFragment

#2 - 05/30/2019 01:25 PM - Kurt Biery
- Assignee set to Eric Flumerfelt

- Status changed from Resolved to Assigned

There should be separate Constants to indicate that no Rank information is available when passing a rank into sendFragment and to indicate that the
status of the execution of sendFragment failed because insufficient Rank/destination information was available.

#3 - 05/30/2019 02:49 PM - Eric Flumerfelt

- Assignee deleted (Eric Flumerfelt)

| have made the suggested update. The returned destination from DSM::sendFragment is only read in BoardReaderCore, which adds it to a TRACE
message.
